Loading...
Searching...
No Matches
Dune::MultiLinearGeometryTraits< ct >::hasSingleGeometryType< dim > Struct Template Reference

will there be only one geometry type for a dimension? More...

`#include <dune/geometry/multilineargeometry.hh>`

## Static Public Attributes

static const bool | v = false
static const unsigned int | topologyId = ~0u

## Detailed Description

template<class ct>
template<int dim>
struct Dune::MultiLinearGeometryTraits< ct >::hasSingleGeometryType< dim >

will there be only one geometry type for a dimension?

If there is only a single geometry type for a certain dimension, hasSingleGeometryType::v can be set to true. Supporting only one geometry type might yield a gain in performance.

If hasSingleGeometryType::v is set to true, an additional parameter topologyId is required. Here's an example:

static const unsigned int topologyId = GeometryTypes::simplex(dim).id();
Dune::GeometryTypes::simplex
constexpr GeometryType simplex(unsigned int dim)
Returns a GeometryType representing a simplex of dimension dim.
Definition type.hh:453
Dune::MultiLinearGeometryTraits::hasSingleGeometryType::topologyId
static const unsigned int topologyId
Definition multilineargeometry.hh:150
Dune::GeometryType::id
constexpr unsigned int id() const
Return the topology id of the type.
Definition type.hh:365

## Member Data Documentation

## topologyId

template<class ct>
template<int dim>

const unsigned int Dune::MultiLinearGeometryTraits< ct >::hasSingleGeometryType< dim >::topologyId = ~0u

static

## v

template<class ct>
template<int dim>

const bool Dune::MultiLinearGeometryTraits< ct >::hasSingleGeometryType< dim >::v = false

static

The documentation for this struct was generated from the following file:

- multilineargeometry.hh